.TH "siggen::HashMD5" 3 "Wed Oct 9 2019" "Version 1.0" "SigGen" \" -*- nroff -*-
.ad l
.nh
.SH NAME
siggen::HashMD5 \- MD5 implementation\&.  

.SH SYNOPSIS
.br
.PP
.PP
\fC#include <HashMD5\&.h>\fP
.PP
Inherits \fBsiggen::HashBase\fP\&.
.SS "Public Member Functions"

.in +1c
.ti -1c
.RI "virtual size_t \fBGetSignatureSize\fP () const final"
.br
.RI "returns size of the signature "
.ti -1c
.RI "virtual void \fBCalculateSignature\fP (char const *data, size_t size, char *digest) const final"
.br
.RI "calculates signature of the block of data "
.in -1c
.SS "Additional Inherited Members"
.SH "Detailed Description"
.PP 
MD5 implementation\&. 
.PP
Definition at line 9 of file HashMD5\&.h\&.
.SH "Member Function Documentation"
.PP 
.SS "void siggen::HashMD5::CalculateSignature (char const * data, size_t size, char * digest) const\fC [final]\fP, \fC [virtual]\fP"

.PP
calculates signature of the block of data 
.PP
\fBParameters\fP
.RS 4
\fIdata\fP buffer with data for calculation of signature 
.br
\fIsize\fP size of the data 
.br
\fIdigest\fP resulting signature 
.RE
.PP

.PP
Implements \fBsiggen::HashBase\fP\&.
.PP
Definition at line 18 of file HashMD5\&.cpp\&.
.SS "size_t siggen::HashMD5::GetSignatureSize () const\fC [final]\fP, \fC [virtual]\fP"

.PP
returns size of the signature 
.PP
\fBReturns\fP
.RS 4
size of the signature 
.RE
.PP

.PP
Implements \fBsiggen::HashBase\fP\&.
.PP
Definition at line 13 of file HashMD5\&.cpp\&.

.SH "Author"
.PP 
Generated automatically by Doxygen for SigGen from the source code\&.
